package com.sheelapps.swtml.examples.texteditor;

import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.FontData;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.FontDialog;
import org.eclipse.swt.widgets.Listener;

public class FontListener implements Listener {
	Font font = null;
	public void handleEvent(Event event) {
		
		FontDialog fontDialog = new FontDialog(Display.getCurrent().getActiveShell());
		fontDialog.setFontList((TextEditor.getStyledText().getFont()).getFontData());
		FontData fontData = fontDialog.open();
		if (fontData != null) {
			
			if (font != null) {
				font.dispose();
			}
			font = new Font(Display.getCurrent(), fontData);
			TextEditor.getStyledText().setFont(font);
		}
	}

	
}
